cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","tables":[{"authorityMatrixRoleId":"string","tableId":"string","disabledActions":["string"],"enabledViewIds":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D';
const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","tables":[{"authorityMatrixRoleId":"string","tableId":"string","disabledActions":["string"],"enabledViewIds":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'PUT',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
tables: [
{
authorityMatrixRoleId: 'string',
tableId: 'string',
disabledActions: ['string'],
enabledViewIds: ['string'],
fieldRecordPermission: [{fieldId: 'string', disabledActions: ['string']}],
recordFilter: {},
enabled: true
}
],
nodes: [{nodeType: 'workflow', nodeId: 'string', enabled: true}]
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"tables\":[{\"authorityMatrixRoleId\":\"string\",\"tableId\":\"string\",\"disabledActions\":[\"string\"],\"enabledViewIds\":[\"string\"],\"fieldRecordPermission\":[{\"fieldId\":\"string\",\"disabledActions\":[\"string\"]}],\"recordFilter\":{},\"enabled\":true}],\"nodes\":[{\"nodeType\":\"workflow\",\"nodeId\":\"string\",\"enabled\":true}]}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("PUT", "/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"name": "<string>",
"baseId": "<string>",
"createdTime": "<string>",
"tables": [
{
"authorityMatrixRoleId": "<string>",
"tableId": "<string>",
"createdTime": "<string>",
"disabledActions": [
"<string>"
],
"enabledViewIds": [
"<string>"
],
"fieldRecordPermission": [
{
"fieldId": "<string>",
"disabledActions": [
"<string>"
]
}
],
"recordFilter": {},
"enabledTime": "<string>"
}
],
"description": "<string>",
"enabledTime": "<string>",
"nodes": [
{
"authorityMatrixRoleId": "<string>",
"nodeId": "<string>",
"id": "<string>",
"enabledTime": "<string>",
"createdTime": "<string>"
}
]
}authority-matrix
Put base authority matrix role
Update authority matrix role
PUT
/
base
/
{baseId}
/
authority-matrix-role
/
{authorityMatrixRoleId}
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

